<?php
/**********************************************************************
    Copyright (C) FrontAccounting, LLC.
	Released under the terms of the GNU General Public License, GPL, 
	as published by the Free Software Foundation, either version 3 
	of the License, or (at your option) any later version.
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
    See the License here <http://www.gnu.org/licenses/gpl-3.0.html>.
***********************************************************************/
$page_security = 'SA_BANKTRANSVIEW';
$path_to_root = "../..";

include($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/includes/ui/db_pager_view.inc"); 
include_once($path_to_root . "/gl/includes/ui/view_fi_remaining_transactions_ui.inc"); 
include_once($path_to_root . "/gl/includes/fi/ui/check_fi_accounting_entries_ui.inc"); 
include_once($path_to_root . "/gl/includes/fi/ui/generate_fi_accounting_entries_ui.inc"); 
include_once($path_to_root . "/gl/includes/fi/ui/check_fi_accounting_entries_ui.inc"); 
include_once($path_to_root . "/gl/includes/gl_db.inc");
include_once($path_to_root . "/gl/includes/db/gl_db_pre_journal.inc");
include_once($path_to_root . "/admin/db/fiscalyears_db.inc");

$js = '';
$js .= get_js_open_window(800, 500);
$js .= get_js_date_picker();


page(_($help_context = "View FI Remaining Transactions"), true, false, "", $js); 

if (isset($_GET["type_id"])) {
    $_POST["type_id"] = $_GET["type_id"];
}

if (isset($_GET["date"])) {
    $_POST["date"] = $_GET["date"];
}

fi_include_files($path_to_root);

display_view_fi_remaining_transactions($_POST["type_id"], $_POST["date"]);

end_page(true, false, false, ST_BANKPAYMENT, 0);

?>